#ifndef MDD_IUNIQUE_H
#define MDD_IUNIQUE_H
#include <string>

namespace mdd{
    class IModule;
    class IUnique{
    public:
        virtual std::string getType() = 0;
        virtual std::string getGeneratorKey() = 0;
        virtual std::string setAppendix(int appendix) = 0;
        virtual int getAppendix() = 0;

        virtual std::string getID() = 0;

        virtual void setParent(std::shared_ptr<IModule> parent) = 0;
        virtual std::vector<std::string> getParentID() = 0;
    };
}
#endif
